/* Estilos: login */

body * {
  position: relative;
  z-index: 2;
}

body {
  background-image: url("../img/fondo.jpg");
  background-repeat: no-repeat;
  width: 100%;
  padding-top: 3rem;
  background-size: cover;
  height: 100vh;
  position: relative;
}

body::after{
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--fondo);
  opacity: 0.6;
  z-index: 1;
  pointer-events: none;
}


.form-login {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.form-group {
  width: 100%;
}

.form-login input,
.btn {
  padding: 0.5rem 1.5rem;
  width: 100%;
  margin-bottom: 1.3rem;
  font-size: 1rem;
}

.btn {
  width: 100%;
  background-color: var(--primario);
  font-size: 1.2rem;
  color: var(--texto-claro);
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

.btn:hover {
  background-color: var(--secundario);
  color: black;
}

.btn-contrasena {
  margin-bottom: 1rem;
  color: var(--texto);
}

.btn-contrasena a {
  color: var(--acento);
}

.btn-contrasena a:hover {
  color: var(--secundario);
}

.btn-contrasena a:active {
  color: gray;
}

form p{
  color: var(--texto-claro);
  margin-top: 1rem;
}

@media (max-width: 590px) {
  * {
    box-sizing: border-box;
  }
  .form-login input {
    width: 100%
  }

  body {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

}

/* Estilos: Password restore */

.card {
  background-color: var(--fondo);
  width: 400px;
  margin: 0 auto;
  padding: 2rem 5rem;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card h2{
  font-size: 1.2rem;
  text-align: center;
  margin-bottom: 2rem;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--texto-claro);
}

.card p{
  font-size: 1rem;
  text-align: center;
  margin-bottom: 2rem;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--texto-claro);
}

.card .lista-contactos{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card .lista-contactos li{
  margin-bottom: 2.2rem;
}

.card .lista-contactos li a {
  padding: 0.5rem 1.5rem;
  font-family: Arial, Helvetica, sans-serif;
  width: 87%;
  font-size: 1rem;
  width: 100%;
  background-color: var(--primario);
  font-size: 1.2rem;
  color: var(--texto-claro);
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

.card .lista-contactos li a:hover {
  background-color: var(--secundario);
  color: black;
}

@media (max-width: 590px) {
    * {
      box-sizing: border-box;
    }
  
    .card {
      width: 90%;
      padding: 2rem 3rem;
    }
  
  }
  
@media (max-width: 400px) {
    .card {
      padding: 2rem 1rem;
    }

    .card .lista-contactos li a {
      padding: 0.5rem 0.8rem;
      margin-bottom: 1rem;
      font-size: 0.8rem;
    }
  
}





















